#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http3
version:              0.0.2
visibility:           public
id:                   http3-0.0.2-6T1gawNWbD76QLH2pdrqQw
key:                  http3-0.0.2-6T1gawNWbD76QLH2pdrqQw
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
homepage:             https://github.com/kazu-yamamoto/http3
synopsis:             HTTP/3 library
description:          HTTP/3 library including frames, QPACK, client and server.
category:             Network
abi:                  c12d803c4eed6fef0b31fbadf84d59ca
exposed:              True
exposed-modules:
    Network.HQ.Client Network.HQ.Server Network.HTTP3.Client
    Network.HTTP3.Internal Network.HTTP3.Server Network.QPACK
    Network.QPACK.Internal

hidden-modules:
    Imports Network.HTTP3.Config Network.HTTP3.Context
    Network.HTTP3.Control Network.HTTP3.Error Network.HTTP3.Frame
    Network.HTTP3.Recv Network.HTTP3.Send Network.HTTP3.Settings
    Network.HTTP3.Stream Network.QPACK.Error Network.QPACK.HeaderBlock
    Network.QPACK.HeaderBlock.Decode Network.QPACK.HeaderBlock.Encode
    Network.QPACK.HeaderBlock.Prefix Network.QPACK.Instruction
    Network.QPACK.Table Network.QPACK.Table.Dynamic
    Network.QPACK.Table.RevIndex Network.QPACK.Table.Static
    Network.QPACK.Token Network.QPACK.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/http3-0.0.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/http3-0.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http3
hs-libraries:         HShttp3-0.0.2-6T1gawNWbD76QLH2pdrqQw
depends:
    array-0.5.4.0 base-4.16.4.0 bytestring-0.11.4.0
    case-insensitive-1.2.1.0-E8f5czuqva83UQdhUzXt24 containers-0.6.5.1
    http-types-0.12.4-1YfphW0gbYI4QWfXKdNPV6
    http2-4.1.0-5WJsyz62cS5GP78piStvPY
    network-3.1.4.0-8TDgGpsnh8hBWkeMi7triG
    network-byte-order-0.1.7-8Wb9MBmdsnYAp65wZlMSzk
    quic-0.1.6-GZ7SR5BxdeU41K7Z8GeCpf
    sockaddr-0.0.1-LgxhyVOgx4W6DOrz17GYSs stm-2.5.0.2
    time-manager-0.0.1-CzlnIwUBiLd8NWazBnIZcJ
    unliftio-0.2.25.0-HR5chQjlMCTIbUmWUqB4XF

haddock-interfaces:   /usr/share/doc/haskell-http3/html/http3.haddock
haddock-html:         /usr/share/doc/haskell-http3/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

